Description

When both score and response are selected when student data in PDF file, the "Assign" button is de-activated.

after importing the student data in Excel format, | tried to import the student response data in PDF files that have all geustion for each
student . then i choose the PDF files, then choose the both option, scores and response. then choose the option "one file for each
stduent. then the "assign" button on the next screen is de-actiavted. so you can't assign the PDF file to each student. if i just select
one option either scores or response, there is no problem to assign PDF file to each student.

The same thing happens when i choose the second option "one file for each question".

There is no problem when i selected the third option "None of Above" which could import the one PDF file that has all items and
students as well.

It happens to

History

#1 - 10/05/2009 10:55 PM - Jay Lee
the Data package that used to test for this are Use Case Test3-1, Use Case Test 3-2, and Use Case Test 3-3

Use Case Test 3-1 is used to test the option 1, one file for each student
Use Case Tset 3-2 is used to test the option 2, one file for each question
Use Case Test 3-3 is used to test the option 3, None of Above

#2 - 10/07/2009 07:56 PM - Sandeep Namilikonda

Relevant code snippet from AssignExternalFiles.java:

protected void updateAssignButtonStatus () {

boolean fileAndStudentSelected =
cbxFilenamesMatchStudentIdentifiers.isSelected () ||
(lstExternalFiles.getSelectedIndex () >= 0 &&
lstStudentIdentifiers.getSelectedIndices () .length > 0);

boolean questionSelected =
lstQuestionIdentifiers.getSelectedValues () .length > 0;

boolean dataTypeSelected =
lstDataTypes.getSelectedIndices () .length > 0;

boolean enable = fileAndStudentSelected && questionSelected &&

dataTypeSelected;
btnAssign.setEnabled (enable);
}

So, unless typeOfData, question, and the student fields are all in sync (i.e.,
properly matching), the button will remain disabled. | think, this seems to be consistent with the interface too, at least, for a trial | did.

Jay, in your trials, did you ensure that there was no mismatch in terms of the
number of students, questions, and corresponding data present in your PDF file?

Ryan, is my assessment of the problem correct or do you think that there is
something wrong programatically?

#3 - 10/08/2009 07:15 AM - Jay Lee

Sandeep, yes. | matched the number of stuents and items. For example, Use test case 3-1, there is 8 items and 20 students in the student data set.
and | created 20 PDF files for each student for option 1 which is one file for each student.

#4 - 11/19/2009 10:22 PM - Sandeep Namilikonda

On further examination, | noticed that the variable "dataTypeSelected" in the code snippet from comment #2 is wrongly set to FALSE when more than
one "types of information” is chosen in the GUI window whose pageTitle is:

"Specify types of data to that are contained in files to be archived".

The available types (Scores, Responses, and Feedback) are shown as check boxes.

Now, dataTypeSelected is set to TRUE if the list IstDataTypes has any of its
elements set (which is same as: IstDataTypes.getSelectedIndices().length > 0 in the code).

Looks like AbstractDataTypesTolmport.java and ChooseExternalTypesOfDataTolmport.java have some relevant code. But, | could not conclusively
determine what is causing the bug.

Could it be the "setSelected" routines associated with each of check boxes?
#5 - 11/24/2009 10:18 AM - Ryan McFall
This was fixed by selecting all data types in the (invisible) data type selection box when "one file per student" or "one file per question" is the selected

option.

#6 - 03/27/2013 02:26 PM - Redmine Admin
Original Bugzilla ID was 4435

03/20/2024 22


https://projects.ecoinformatics.org/ecoinfo/issues/2
http://www.tcpdf.org

